%define name 	kifi
%define version 0.2.4
%define release %mkrel 3

Summary: 	Wireless networking manager for KDE
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://kifi.staticmethod.net/
License: 	GPL
Group: 		Networking/Other
Source: 	http://kifi.staticmethod.net/download/%{name}-%{version}.tar.bz2

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick kdelibs-devel libiw-devel
Requires: wireless-tools

%description
KiFi is a wireless networking manager for the K Desktop Environment. It allows
you to view the status of all wireless cards installed on your system that
implement the Linux Wireless Extensions interface (most cards today),
including currently associated SSID and signal strength.

With KiFi you can also view available networks in your area by using its
scanning capabilities. Development is currently very active, with our two
major goals being the ability to store favorite networks and their settings,
and being able to reconfigure a card to a new network without having to remove
and reinsert the card or restart your general networking subsystem. 

%prep
%setup -q

%build
%configure2_5x --disable-rpath \
%if "%{_lib}" != "lib"
	--enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{name}"\
title="KiFi"\
longtitle="Wireless network configuration GUI"\
needs="x11"\
icon="%name.png"\
section="System/Configuration/Networking"\
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Network" \
  --add-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-Networking" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/Internet $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/*
)

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 kifi/src/hi64-app-kifi.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 kifi/src/hi64-app-kifi.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 kifi/src/hi64-app-kifi.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
%update_menus
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS INDEX README TODO VERSION
%_bindir/*
%_datadir/applnk/Internet/*
%_datadir/apps/%name
%_iconsdir/hicolor/*/*/kifi.png
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Thu Jul 13 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.4-3mdv2007.0
- XDG 
- Use macro for icons

* Fri Dec 30 2005 Anssi Hannula <anssi@mandriva.org> 0.2.4-2mdk
- %%mkrel
- fix x86_64 build

* Tue Mar 10 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.2.4-1mdk
- 0.2.4
- Make rpmbuildable

* Wed Jun 30 2004 Austin Acton <austin@mandrake.org> 0.2.1-1mdk
- initial package
